Index: Dev/branches/Cartis/dashboardDataSelection.php
===================================================================
--- Dev/branches/Cartis/dashboardDataSelection.php	(revision 241)
+++ Dev/branches/Cartis/dashboardDataSelection.php	(revision 242)
@@ -24,10 +24,4 @@
     </head>
     <body>
-
-        <div id="breadcrumbs">
-            <?php
-            $pagetitle = "Dashboard Data Selection";
-            include("breadcrumbs.php");
-            ?> 
         </div>
 
Index: Dev/branches/Cartis/dashboardGraphSelection.php
===================================================================
--- Dev/branches/Cartis/dashboardGraphSelection.php	(revision 241)
+++ Dev/branches/Cartis/dashboardGraphSelection.php	(revision 242)
@@ -25,5 +25,6 @@
         <script src="RGraph/libraries/RGraph.common.resizing.js" ></script> 
         <script src="RGraph/libraries/RGraph.bar.js" ></script>
-        <script src="RGraph/libraries/RGraph.pie.js" ></script>  
+        <script src="RGraph/libraries/RGraph.pie.js" ></script> 
+        <script src="RGraph/libraries/RGraph.radar.js" ></script> 
 
 
@@ -80,4 +81,5 @@
             }
         </script> 
+        
 
         <title>
@@ -90,31 +92,50 @@
     <body>
         <div id="header">
-            
-        </div>
-        
-                
-<div 
-        <div id="breadcrumbs">
-            <?php
-            $pagetitle = "Dashboard Graph Selection";
-            include("breadcrumbs.php");
-            ?> 
+
         </div>
 
 
-        <div id="content">
-            <div id="wrapper">
+        <div 
+            <div id="content">
+                <div id="wrapper">
 
-                <div id="leftColumn">
+                    <div id="leftColumn">
 
-                    <div class="largeFrame C" id="dbDataSelector">
-                        <div class="content">
+                        <div class="largeFrame C" id="dbDataSelector">
+                            <div class="content">
 
-                            <div class="largeTitle">Selected data</div>                         
-                            <div class="content" style="width: 300px; height: 500px; ">                
+                                <div class="largeTitle">Selected data</div>                         
+                                <div class="content" style="width: 300px; height: 500px; ">                
 
-                                <?php
-                                print_r($data);
-                                ?> 
+                                    <?php
+                                    print_r($data);
+                                    ?> 
+
+                                </div>
+
+                            </div>
+                        </div>
+                    </div>
+
+                    <div id="rightColumn">
+                        <div class="largeFrame Cv" style="width: 600px; height: 400px;">
+                            <div class="largeTitle">Graph selection</div>
+                            <div class="topControls" id="graphTypeSelector" style="float: left; clear: left; width: 100%; margin: 0; border: 1px solid #000;">
+                                <div id="btnSelectPieType" class="graphSelectionButton" onclick="changeGraphType('pie')">PIE CHART</div>
+                                <div id="btnSelectBarType" class="graphSelectionButton" onclick="changeGraphType('bar')">BAR CHART</div>
+                                <div id="btnSelectRadarType" class="graphSelectionButton" onclick="changeGraphType('radar')">RADAR CHART</div>
+                            </div>
+                            <div class="content" id="graphDisplay">
+
+                                <canvas id="chart1" width="450" height="200" onclick="RGraph.showPNG(document.getElementById('radar1'));">[No canvas support] </canvas> 
+                              
+                                <!-- Button to gotoDashboard?? -->                                                            
+
+                            </div>
+
+                            <div class="controls">
+                                <input type="button" class="smallButton" value="Save to dashboard" onClick="addToDashboard()"></input>
+                                <input type="button" class="smallButton" value="Go to Dashboard" onClick="gotoDashboard()"></input>
+                                
 
                             </div>
@@ -122,27 +143,12 @@
                         </div>
                     </div>
-                </div>
 
-                <div id="rightColumn">
-                    <div class="largeFrame Cv" style="width: 600px; height: 400px;">
-                        <div class="largeTitle">Graph selection</div>
-                        <div class="topControls" id="graphTypeSelector" style="float: left; clear: left; width: 100%; margin: 0; border: 1px solid #000;">
-                            <div id="btnSelectPieType" class="graphSelectionButton" onclick="changeGraphType('pie')">PIE CHART</div>
-                            <div id="btnSelectBarType" class="graphSelectionButton" onclick="changeGraphType('bar')">BAR CHART</div>
-                            <div id="btnSelectRadarType" class="graphSelectionButton" onclick="changeGraphType('radar')">RADAR CHART</div>
-                        </div>
-                        <div class="content" id="graphDisplay">
 
-                            <canvas id="chart1" width="450" height="200" onclick="RGraph.showPNG(document.getElementById('bar1'));">[No canvas support] </canvas> 
-
-                            <!-- Button to gotoDashboard?? -->                                                            
+                    <div class="largeFrame Cu" id="dbInfoPanel" style="width: 930px;">
+                        <div class='largeTitle'>Info panel</div>
+                        <div class="content" id="dbInfoPanelContent" style="height: 100px;">
 
                         </div>
 
-                        <div class="controls">
-                            <input type="button" class="smallButton" value="Save to dashboard" onClick="addToDashboard()"></input>
-                            <input type="button" class="smallButton" value="Go to Dashboard" onClick="gotoDashboard()"></input>
-
-                        </div>
 
                     </div>
@@ -150,16 +156,5 @@
 
 
-                <div class="largeFrame Cu" id="dbInfoPanel" style="width: 930px;">
-                    <div class='largeTitle'>Info panel</div>
-                    <div class="content" id="dbInfoPanelContent" style="height: 100px;">
 
-                    </div>
-
-
-                </div>
-            </div>
-
-
-
-    </body>
-</html>
+                </body>
+                </html>
Index: Dev/branches/Cartis/dashboardOverview.php
===================================================================
--- Dev/branches/Cartis/dashboardOverview.php	(revision 241)
+++ Dev/branches/Cartis/dashboardOverview.php	(revision 242)
@@ -65,6 +65,7 @@
                         <div class="largeTitle">Dashboard Overview</div>                         
                         <div class="content" id="graphDisplay">
-                            <input type="hidden" id="inputDataField" value='<?php echo $dataIn; ?>' />
-
+                            
+                            <input type="hidden" id="inputDataField" value='<?php echo $dataIn; ?>'
+                            
 
                         </div>
Index: Dev/branches/Cartis/index.php
===================================================================
--- Dev/branches/Cartis/index.php	(revision 241)
+++ Dev/branches/Cartis/index.php	(revision 242)
@@ -49,5 +49,6 @@
 
 if (isset($_SESSION['userUid'])) {  // User just registered a new account
-    redirect('selectSession.php');
+   //aangepast voor Flow
+    redirect('dashboardDataSelection.php');
 }
 ?>
Index: Dev/branches/Cartis/js/dashboardScripts.js
===================================================================
--- Dev/branches/Cartis/js/dashboardScripts.js	(revision 241)
+++ Dev/branches/Cartis/js/dashboardScripts.js	(revision 242)
@@ -208,4 +208,6 @@
     form.appendChild(input);
     form.submit();
+    //alert("Graph type is now: "+graphSelection);
+    
 }
 
@@ -227,7 +229,9 @@
     }
     
-    //alert("Graph type is now: "+graphSelection.graphType);
+    
     var data = formatGraphData();
     drawGraph('chart1', 450, 200, graphSelection.graphType, data);
+    
+   // alert("Graph type is now: "+graphSelection.graphType);
 }
 
@@ -246,5 +250,5 @@
     return mockupData.muData1;
     
-//alert("Data is now being formatted");
+    //alert("Data is now being formatted");
 }
 
@@ -272,5 +276,5 @@
             break;
         case "Radar":
-            //chart1 = new RGraph.Radar('chart1', graphSelection.graphData);
+            chart1 = new RGraph.Radar(name, data);
             break;
         default: