Index: Dev/branches/jQueryUI/server/classes/models/ResearchToolObject.php
===================================================================
--- Dev/branches/jQueryUI/server/classes/models/ResearchToolObject.php	(revision 249)
+++ Dev/branches/jQueryUI/server/classes/models/ResearchToolObject.php	(revision 252)
@@ -55,5 +55,5 @@
 				case "category" : $addition = "predicates:question_category '" . $arguments[$key] . "'\n";
 				case "definedanswers" : foreach($arguments[$key] as $answer) { $addition = $addition . "predicates:has_answer '" . $answer . "'\n"; } break;
-				case "name" : $addition = "predicates:name '" . $arguments[$key] . "'\n"; break;
+				case "email" : $addition = "predicates:email '" . $arguments[$key] . "'\n"; break;
 				case "password" : $addition = "predicates:password '" . $arguments[$key] . "'\n"; break;
 				case "creator" : $addition = "predicates:creator '" . $arguments[$key] . "'\n"; break;
Index: Dev/branches/jQueryUI/server/classes/models/Respondent.php
===================================================================
--- Dev/branches/jQueryUI/server/classes/models/Respondent.php	(revision 249)
+++ Dev/branches/jQueryUI/server/classes/models/Respondent.php	(revision 252)
@@ -15,5 +15,5 @@
 	private static $filename = 'data/users/respondents.rdf';
 
-	public $name;
+	public $email;
 	public $password;
 
@@ -21,8 +21,8 @@
 	 * Constructor for a Respondent object
 	 * @param type $uid
-	 * @param type $name
+	 * @param type $email
 	 * @param type password
 	 */
-	public function __construct($uid = null, $name = null, $password = null)
+	public function __construct($uid = null, $email = null, $password = null)
 	{
       	if(!isset($uid))
@@ -32,5 +32,5 @@
       
       	$this->uid = $uid;
-     	$this->name = $name;
+     	$this->email = $email;
       	$this->password = $password;
 	}
@@ -60,6 +60,6 @@
         $model->add(new Statement($resourceRespondent,$predicateUniqueID,$literalRespondentID));
         
-        $literalRespondentName = new Literal($this->name);
-        $predicateName = new Resource(NAME);
+        $literalRespondentName = new Literal($this->email);
+        $predicateName = new Resource(EMAIL);
         $model->add(new Statement($resourceRespondent,$predicateName,$literalRespondentName));			
 
@@ -85,10 +85,10 @@
             PREFIX  predicates: <' . SURVEYTOOL_PREDICATES_NAMESPACE . '>
             PREFIX  resources: <' . SURVEYTOOL_RESOURCES_NAMESPACE . '>
-            SELECT ?uid, ?name, ?password
+            SELECT ?uid, ?email, ?password
             WHERE 	
             {
                     _respondent	predicates:resource_type	resources:respondent ;
 					predicates:uid ?uid ;
-					predicates:name ?name ;
+					predicates:email ?email ;
 					predicates:password ?password ;
 					' . ResearchToolObject::createArguments($arguments) .  '
@@ -102,5 +102,5 @@
             foreach($results as $result)
             { 
-                    $respondents[] = new Respondent($result['?uid']->label, $result['?name']->label, $result['?password']->label);
+                    $respondents[] = new Respondent($result['?uid']->label, $result['?email']->label, $result['?password']->label);
             }
         }
Index: Dev/branches/jQueryUI/server/classes/models/ResultSet.php
===================================================================
--- Dev/branches/jQueryUI/server/classes/models/ResultSet.php	(revision 249)
+++ Dev/branches/jQueryUI/server/classes/models/ResultSet.php	(revision 252)
@@ -157,6 +157,3 @@
 		return $answersets;
 	}
-
-
-
 }
Index: Dev/branches/jQueryUI/server/classes/models/User.php
===================================================================
--- Dev/branches/jQueryUI/server/classes/models/User.php	(revision 249)
+++ Dev/branches/jQueryUI/server/classes/models/User.php	(revision 252)
@@ -16,5 +16,5 @@
 	private static $filename = 'data/users/users.rdf';
     
-    public $name;
+    public $email;
     public $password;
     
@@ -23,5 +23,5 @@
      * If the user does not yet exist in the database, call with null as first parameter
      */
-    public function __construct($uid = null, $name = null, $password = null) {
+    public function __construct($uid = null, $email = null, $password = null) {
         if(!isset($uid))
         {
@@ -29,5 +29,5 @@
         }
         $this->uid = $uid;
-        $this->name = $name;
+		$this->email = $email;
         $this->password = $password;
 	}
@@ -56,6 +56,6 @@
         $model->add(new Statement($resourceUser,$predicateUniqueID,$literalUserID));
         
-        $literalUserName = new Literal($this->name);
-        $predicateName = new Resource(NAME);
+        $literalUserName = new Literal($this->email);
+        $predicateName = new Resource(EMAIL);
         $model->add(new Statement($resourceUser,$predicateName,$literalUserName));			
 
@@ -73,5 +73,5 @@
 	 * Gets the array of User objects belonging to arguments supplied.
 	 * @param type $arguments : An array containing zero or more of the following keys:
-	 * 							'uid', 'name', 'password'
+	 * 							'uid', 'email', 'password'
 	 */
 	public static function get($arguments)
@@ -82,10 +82,10 @@
             PREFIX  predicates: <' . SURVEYTOOL_PREDICATES_NAMESPACE . '>
             PREFIX  resources: <' . SURVEYTOOL_RESOURCES_NAMESPACE . '>
-            SELECT ?uid, ?name, ?password
+            SELECT ?uid, ?email, ?password
             WHERE 	
             {
                     _user	predicates:resource_type	resources:user ;
 					predicates:uid ?uid ;
-					predicates:name ?name ;
+					predicates:email ?email ;
 					predicates:password ?password ;
 					' . ResearchToolObject::createArguments($arguments) . '
@@ -99,11 +99,9 @@
             foreach($results as $result)
             { 
-                    $users[] = new User($result['?uid']->label, $result['?name']->label, $result['?password']->label);
+				$users[] = new User($result['?uid']->label, $result['?email']->label, $result['?password']->label);
             }
         }
         return $users;
 	}
-	
-	
 }
 