Index: Dev/branches/Cartis/Tiles preview/css/tile1.css
===================================================================
--- Dev/branches/Cartis/Tiles preview/css/tile1.css	(revision 258)
+++ Dev/branches/Cartis/Tiles preview/css/tile1.css	(revision 259)
@@ -161,5 +161,5 @@
 
 
-#basePanel {
+.basePanel {
     width: 940px;
     height: 465px;
@@ -191,5 +191,5 @@
 }
 
-.tile {
+.tileAnimating {
     width: 230px;
     height: 230px;
@@ -202,6 +202,59 @@
 }
 
+.tile {
+    width: 230px;
+    height: 230px;
+    border: none;
+    float: left;
+    clear: none;
+    margin-right: 5px;
+    margin-bottom: 5px;
+    background: #367ac3;
+    background-image: linear-gradient(left bottom, rgb(54,122,195) 44%, rgb(74,139,208) 72%);
+    background-image: -o-linear-gradient(left bottom, rgb(54,122,195) 44%, rgb(74,139,208) 72%);
+    background-image: -moz-linear-gradient(left bottom, rgb(54,122,195) 44%, rgb(74,139,208) 72%);
+    background-image: -webkit-linear-gradient(left bottom, rgb(54,122,195) 44%, rgb(74,139,208) 72%);
+    background-image: -ms-linear-gradient(left bottom, rgb(54,122,195) 44%, rgb(74,139,208) 72%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left bottom,
+        right top,
+        color-stop(0.44, rgb(54,122,195)),
+        color-stop(0.72, rgb(74,139,208))
+        );
+}
+
+.doubleHeight {
+    height: 465px;
+}
+
+.staticTile {
+    width: 230px;
+    /*height: 230px;*/
+    border: none;
+    float: left;
+    clear: none;
+    margin-right: 5px;
+    margin-bottom: 5px;
+    background: #367ac3;
+    
+}
+
 .tile:hover {
-    background: #EDD68B;
+    background-color: #78abe2;
+    background-image: linear-gradient(bottom, rgb(54,122,195) 44%, rgb(120,171,226) 72%);
+    background-image: -o-linear-gradient(bottom, rgb(54,122,195) 44%, rgb(120,171,226) 72%);
+    background-image: -moz-linear-gradient(bottom, rgb(54,122,195) 44%, rgb(120,171,226) 72%);
+    background-image: -webkit-linear-gradient(bottom, rgb(54,122,195) 44%, rgb(120,171,226) 72%);
+    background-image: -ms-linear-gradient(bottom, rgb(54,122,195) 44%, rgb(120,171,226) 72%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left bottom,
+        left top,
+        color-stop(0.44, rgb(54,122,195)),
+        color-stop(0.72, rgb(120,171,226))
+        );
 }
 
@@ -212,5 +265,5 @@
     color: #fff;
     margin: 195px 5px 5px 5px;
-    font-size: 30px;
+    font-size: 25px;
     line-height: 30px;
     text-align: left;
@@ -219,4 +272,17 @@
 }
 
+.tileHeader {
+    font-family: Segoe, sans-serif;
+    width: 220px;
+    height: 30px;
+    color: #fff;
+    margin: 5px 5px 5px 5px;
+    font-size: 20px;
+    line-height: 20px;
+    text-align: left;
+    white-space: nowrap;
+    user-select: none;
+}
+
 
 #pageInfo {
@@ -248,4 +314,50 @@
 }
 
-
-
+.tileField {
+    width: 224px;
+    height: auto;
+    margin: 0 3px;
+    border: none;
+    background: #367ac3;
+    color: #fff;
+    font-family: segoe, sans-serif;
+    outline: none;
+}
+
+.multipleSelect {
+    padding: 2px;
+    height: 420px;
+}
+
+.controls {
+    text-align: right;
+    width: 220px;
+    padding: 5px;
+}
+
+.smallButton {
+    background: #00569b;
+    border: none;
+    color: #fff;
+    font-family: segoe, sans-serif;
+    font-size: 16px;
+    padding: 5px;
+}
+
+.smallButton:hover {
+    background: #0762a8;
+}
+
+.doubleHeight .content {
+    height: 375px;
+    width: 224px;
+    padding: 3px;
+    overflow-x: hidden;
+    overflow-y: auto;
+    color: #fff;
+}
+
+.shoppingCartItem {
+    width: 224px;
+    height: 16px;
+}
Index: Dev/branches/Cartis/Tiles preview/js/classes/DataSelector.js
===================================================================
--- Dev/branches/Cartis/Tiles preview/js/classes/DataSelector.js	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/js/classes/DataSelector.js	(revision 259)
@@ -0,0 +1,28 @@
+function DataSelector() {
+        var dummyData = {
+            1: {
+                title: "Teamup session 1",
+                creator: "Cartis Jansen",
+                description: "To be held on 25-5-2012",
+                date: "25-5-2012"
+            },
+            2: {
+                title: "Teamup session 2",
+                creator: "Cartis Jansen",
+                description: "To be held on 5-6-2012",
+                date: "5-6-2012"
+            },
+            3: {
+                title: "Simport test",
+                creator: "Bas van Nuland",
+                description: "Testversie van de simport sessie. Nog doorsturen!",
+                date: "7-8-2012"
+            }
+        }
+        
+        this.getData = function(index) {
+            return this.dummyData.eval(index);
+        }
+    }
+    
+    mockup.dataSelection.Dataselector = DataSelector;
Index: Dev/branches/Cartis/Tiles preview/js/dashboardScripts.js
===================================================================
--- Dev/branches/Cartis/Tiles preview/js/dashboardScripts.js	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/js/dashboardScripts.js	(revision 259)
@@ -0,0 +1,394 @@
+dbSelectionInfoTimeout = null;
+var currentlySelected = {
+    titles: [],
+    uids: [],
+    type: null
+}
+
+var shoppingCart = {
+    contents: {
+        titles: [],
+        uids: [],
+        types: []
+    }
+}
+
+var graphSelection = {
+    graphType: null,
+    graphData: null,
+    dataAvailable: false
+}
+
+var mockupData = {
+    muData1: [1,2,3,4,5,6], //pie charts
+    muData2: [[1,2,3],[4,5,6]], //bar charts
+    muData3: [[1,2],[3,4],[5,6]]    //radar charts
+}
+
+var dummyDatabase = {
+    instances: new Array(
+    {
+        title: "Teamup Session 1",
+        creator: "Cartis Jansen",
+        date: "25-5-2012",
+        description: "BLablablablabla"
+    },
+    {
+        title: "Teamup Session 2",
+        creator: "Cartis Jansen",
+        date: "28-5-2012",
+        description: "250 deelnemers"
+    }
+
+    ),
+    gameData: new Array(
+    {
+        title: "Veerkracht 17-3-2011",
+        creator: "Arne Bezuijen",
+        date: "17-3-2011",
+        description: "Great success"
+    },
+    {
+        title: "Ventum",
+        creator: "Cartis Jansen",
+        date: "1-1-2010",
+        description: "Op locatie"
+    }
+    )
+};
+
+(function() {
+    debugger;
+    var el = ge("dbSessionInstancesList");
+    for (var n = 0; n < dummyDatabase.instances.length; n++) {
+        var opt = ce("option");
+        opt.value = n;
+        opt.innerHTML = dummyDatabase.instances[n].title;
+        el.appendChild(opt);
+    }
+    el = ge("dbGamedataList");
+    for (var n = 0; n < dummyDatabase.gameData.length; n++) {
+        var opt = ce("option");
+        opt.value = n;
+        opt.innerHTML = dummyDatabase.gameData[n].title;
+        el.appendChild(opt);
+    }
+})();
+    
+
+
+
+function infoPanelTimeout(event) {
+    // If no event, crash.
+    if (event == undefined || event == null) return;
+    // Cancel previous timeout if present.
+    if (dbSelectionInfoTimeout) {
+        window.clearTimeout(dbSelectionInfoTimeout);
+    }
+    // Gather parameters about event.
+    var dbSelectionInfoTime = 250;
+    var selectBox = event.target;
+    var values = getMultipleListValue(selectBox).values;
+    var titles = getMultipleListValue(selectBox).titles;
+    var uid = values[values.length-1];
+    var type;
+    switch (selectBox.id) {
+        case "dbSessionInstancesList":
+            // This should be session instance, not session. Testing purpose only.
+            type = "Session";
+            break;
+        case "dbGamedataList":
+            // This is obviously not the real type, change before committing
+            type = "Application";
+            break;
+        default:
+            alert("No valid type passed!");
+            break;
+    }
+    currentlySelected.uids = values;
+    currentlySelected.titles = titles;
+    currentlySelected.type = type;
+    // Set timeout of 500ms, then execute ajaxInfoRequest with previously gathered parameters.
+    //dbSelectionInfoTimeout = window.setTimeout(ajaxInfoRequest, dbSelectionInfoTime, uid, ge("dbInfoPanelContent"), type);
+    debugger;
+    dbSelectionInfoTimeout = window.setTimeout(getInfo, dbSelectionInfoTime, type, uid);
+}
+
+function getInfo(type, uid) {
+    var infoPanelContent = ge("dbInfoPanelContent");
+    var data;
+    switch (type.toLowerCase()) {
+        case "session":
+            data = dummyDatabase.instances[uid];
+            break;
+        case "application":
+            data = dummyDatabase.gameData[uid];
+            break;
+        default:
+            alert("Lol nope!");
+            break;
+    }
+    
+    resultString = "";
+    resultString += "Title:<br/>"+data.title+".<br/><br/>";
+    resultString += "Creator:<br/>"+data.creator+".<br/><br/>";
+    resultString += "Date:<br/>"+data.date+".<br/><br/>";
+    resultString += "Description:<br/>"+data.description+".<br/><br/>";
+    
+    
+    infoPanelContent.innerHTML = resultString;
+}
+
+function getMultipleListValue(element) {
+    // Get multiple values from multiple select box
+    //TODO: 
+    var result = {
+        values: [],
+        titles: []
+    }
+        
+    for (var i = 0; i < element.options.length; i++) {
+        if (element.options[i].selected == true) {
+            result.values.push(element.options[i].value);
+            result.titles.push(element.options[i].text);
+        }
+    }
+    return result;
+}
+
+function addDataToList() {
+    // Take selected objects and add to shopping cart
+    debugger;
+    // set element
+    var element;
+    switch (currentlySelected.type){
+        case "Session":
+            element = ge("dbSessionInstancesList");
+            break;
+        case "Application":
+            element = ge("dbGamedataList");
+            break;
+        default:
+            // ???
+            break;
+    }
+    var uid;
+    while (uid = currentlySelected.uids.pop()) {
+        // Add to shopping cart
+        shoppingCart.contents.uids.push(uid);
+        shoppingCart.contents.titles.push(currentlySelected.titles.pop());
+        shoppingCart.contents.types.push(currentlySelected.type);
+        
+        // Remove option from list
+        for (var i = 0; i < element.options.length; i++) {
+            if (element.options[i].value == uid) {
+                element.remove(i);
+                break;
+            }
+        }
+    }
+    
+    // Then add display of shopping cart contents
+    drawShoppingCart();
+    ge("dbInfoPanelContent").innerHTML = "";
+    
+}
+
+function removeFromList(event) {
+    if (event == null || event == undefined) return;
+    
+    var id = event.target.parentNode.id;
+    var uid = id.split("shoppingCartItem")[1];
+    // find index, remove from object
+    var indexInCart = shoppingCart.contents.uids.indexOf(uid);
+    var tempTitle = shoppingCart.contents.titles[indexInCart];
+    var cn = confirm("Are you sure you want to remove: "+tempTitle+"?");
+    if (cn == false) return;
+    
+    
+    shoppingCart.contents.uids.splice(indexInCart, 1);
+    var title = shoppingCart.contents.titles.splice(indexInCart, 1)[0];
+    var type = shoppingCart.contents.types.splice(indexInCart, 1)[0];
+    //Then replace element back into relevant list
+    // First set element
+        
+    var element;
+    switch (type){
+        case "Session":
+            element = ge("dbSessionInstancesList");
+            break;
+        case "Application":
+            element = ge("dbGamedataList");
+            break;
+        default:
+            // ???
+            break;
+    }
+    
+    var option = ce("option");
+    option.value = uid;
+    option.text = title;
+    element.add(option,null);
+    
+    
+    
+    // Lastly, refresh
+    drawShoppingCart();
+}
+
+function drawShoppingCart() {
+    var scElement = ge("shoppingCartContent");
+    scElement.innerHTML = "";
+    for (var i = 0; i < shoppingCart.contents.uids.length; i++) {
+        var newLine = ce("div");
+        newLine.className = "shoppingCartItem";
+        newLine.id = "shoppingCartItem"+shoppingCart.contents.uids[i];
+        var icon = ce("image");
+        icon.src = "images/ui/DeleteIcon.gif";
+        $(icon).css("float", "right");
+        icon.addEventListener("click", function(event){
+            // TODO: Actually write this function
+            removeFromList(event);
+        }, false);
+        var titleField = ce("text");
+        titleField.innerHTML = shoppingCart.contents.titles[i];
+        newLine.appendChild(titleField);
+        newLine.appendChild(icon);
+        scElement.appendChild(newLine);
+    }
+    
+    // reset type after empty
+    currentlySelected.type = null;
+}
+    
+function configureDashboard() {
+    var data = JSON.stringify(shoppingCart);
+    var form = ce("form");
+    //changed to dashboardGraphSelection.php
+    form.action = "dashboardGraphSelection.php";
+    form.method = "POST";
+    var input = ce("input");
+    input.type = "hidden";
+    input.name = "selectedData";
+    input.value = data;
+    form.appendChild(input);
+    form.submit();
+}
+
+//function goto dashboard
+function gotoDashboard() {
+    var data = JSON.stringify(doorstuurData);
+    var form = ce("form");
+    //changed to dashboardGraphSelection.php
+    form.action = "dashboardOverview.php";
+    form.method = "POST";
+    var input = ce("input");
+    input.type = "hidden";
+    input.name = "doorstuurData";
+    input.value = data;
+    form.appendChild(input);
+    form.submit();
+//alert("Graph type is now: "+graphSelection);
+    
+}
+
+function changeGraphType(type) {
+    // If different graph type, clear canvas 1.
+    
+    switch (type.toLowerCase()){
+        case "bar":
+            graphSelection.graphType = "Bar";
+            break;
+        case "radar":
+            graphSelection.graphType = "Radar";
+            break
+        case "pie":
+            graphSelection.graphType = "Pie";
+            break;
+        default:
+            break;
+    }
+    
+    
+    var data = formatGraphData();
+    drawGraph('chart1', 450, 200, graphSelection.graphType, data);
+    
+// alert("Graph type is now: "+graphSelection.graphType);
+}
+
+function formatGraphData() {
+    /*
+     * if (data.available == false) {
+     * graphSelection.dataAvailable = false;
+     * insertStandardPlaceholderData();
+     * }
+     * else {
+     * FormatDataCorrectly();
+     * }
+     */
+    // temporary!!!;
+    graphSelection.graphData = mockupData.muData1;
+    return mockupData.muData1;
+    
+//alert("Data is now being formatted");
+}
+
+function drawGraph(name, sizeX, sizeY, type, data) {
+    //delete old graph
+    
+    var oldGraph = ge("chart1");
+    if (oldGraph) oldGraph.parentNode.removeChild(oldGraph);
+    
+    var canvas = ce("canvas");
+    canvas.id = name;
+    canvas.width = sizeX;
+    canvas.height = sizeY;
+    var parentElement = ge("graphDisplay");
+    parentElement.appendChild(canvas);
+    
+    //js calls
+    var chart1;
+    switch (type) {
+        case "Bar":
+            chart1 = new RGraph.Bar(name, data);
+            break;
+        case "Pie":
+            chart1 = new RGraph.Pie(name, data);
+            break;
+        case "Radar":
+            chart1 = new RGraph.Radar(name, data);
+            break;
+        default:
+            break;
+    }
+    
+    //chart1.Set('chart.background.barcolor1', 'white');
+    // chart1.Set('chart.background.barcolor2', 'white');
+    chart1.Set('chart.labels', ['1st', '2nd', '3rd', '4th', '5th', '6th']);
+    //chart1.Set('chart.key', ['Aapjes', 'Hertjes']);
+    //chart1.Set('chart.key.position.y', 35);
+    //chart1.Set('chart.key.position', 'gutter');
+    //chart1.Set('chart.key.background', 'rgb(255,255,255)');
+    chart1.Set('chart.colors', ['#77f', '#7f7']);
+    chart1.Set('chart.shadow', true);
+    chart1.Set('chart.shadow.blur', 15);
+    chart1.Set('chart.shadow.offsetx', 0);
+    chart1.Set('chart.shadow.offsety', 0);
+    chart1.Set('chart.shadow.color', '#aaa');
+    chart1.Set('chart.yaxispos', 'right');
+    chart1.Set('chart.strokestyle', 'rgba(0,0,0,0)');
+    chart1.Set('chart.gutter.left', 5);
+    chart1.Set('chart.gutter.right', 45);
+    chart1.Draw();
+    
+}
+
+var doorstuurData = {
+    graphs: [],
+    count: null
+}
+
+function addToDashboard() {
+    doorstuurData.graphs.push(["graph"+doorstuurData.count+1, 450, 200, graphSelection.graphType, graphSelection.graphData]);
+    doorstuurData.count++;
+}
Index: Dev/branches/Cartis/Tiles preview/js/generalScripts.js
===================================================================
--- Dev/branches/Cartis/Tiles preview/js/generalScripts.js	(revision 258)
+++ Dev/branches/Cartis/Tiles preview/js/generalScripts.js	(revision 259)
@@ -155,150 +155,2 @@
     return document.getElementById(s);
 }
-
-// Function for getting the absolute position of the top left corner of an element, relative to the window
-function getPos(element) {
-    var posX = posY = 0;
-    if (element.offsetParent) {
-        do {
-            posX += element.offsetLeft;
-            posY += element.offsetTop;
-        } while (element = element.offsetParent);
-    }
-    
-    var result = {
-        X: posX,
-        Y: posY
-    }
-    return result;
-}
-
-// TODO: this is a broken version of the above function, to be used during the demo ONLY! (Else the dropdown menu does not work correctly...
-// Fix/remove as soon as possible
-function getWrongPos(element) {
-    var posX = posY = 0;
-    if (element.offsetParent) {
-        do {
-            posX += element.offsetLeft;
-            posY += element.offsetTop;
-        } while (element = element.offSetParent);
-    }
-    
-    var result = {
-        X: posX,
-        Y: posY
-    }
-    return result;
-}
-
-// Returns the computed width of an element
-function getWidth(element) {
-    var width = 0;
-    if (element.offsetWidth) {
-        width = element.offsetWidth;
-    }
-    
-    return width;
-}
-
-// Returns the computer size of an element
-function getSize(element) {
-    var size = {
-        X: null,
-        Y: null
-    }
-    if (element.offsetWidth) {
-        size.X = element.offsetWidth;
-        size.Y = element.offsetHeight;
-    }
-    
-    return size;
-}
-
-// Drop down menu implementation. Supports three levels: Base button, 1st level categories, and 2nd level links
-// TODO: getPos functie werkte eerst niet goed, menu offset is nog beetje whack. Betere manier van dropdown menu vinden en voor nu even de getPos functie stuk laten?
-function DDMenu() {
-    // Initialize function, setting all needed variables.
-    var instance = this;
-    this.closeTimer = 0;
-    this.ddMenuItem = null;
-    this.timeout = 350;
-    this.visible = false;
-    this.menuElement = null;
-    this.parentButton = null
-    
-    this.Init = function(id1, id2) {    
-        instance.menuElement = ge(id1);
-        instance.parentButton = ge(id2);
-    }
-    
-    this.SetCloseTimer = function() {
-        //debugger;
-        instance.closeTimer = window.setTimeout(instance.Close, instance.timeout);
-    }
-    
-    this.Close = function() {
-        if (instance.ddMenuItem) {
-            instance.ddMenuItem.style.visibility = "hidden";
-        }
-        instance.Toggle();
-        
-    }
-    
-    this.CancelCloseTimer = function() {
-        if (instance.closeTimer) {
-            window.clearTimeout(instance.closeTimer);
-            instance.closeTimer = null;
-        }
-    }
-    
-    this.Open = function(id) {
-        instance.CancelCloseTimer();
-        if (instance.ddMenuItem) {
-            instance.ddMenuItem.style.visibility = "hidden";
-        }
-        
-        instance.ddMenuItem = ge(id);
-        instance.ddMenuItem.style.visibility = "visible";
-        var parentPos = getWrongPos(instance.ddMenuItem.parentNode);
-        var parentWidth = getWidth(instance.ddMenuItem.parentNode);
-        instance.ddMenuItem.style.left = (parentPos.X + parentWidth)+"px";
-        instance.ddMenuItem.style.top = parentPos.Y+"px";
-        
-    }
-    
-    this.Toggle = function() {
-        //debugger;
-        if (instance.visible) {
-            // Hide the menu
-            instance.menuElement.style.visibility = "hidden";
-            instance.parentButton.className = "";
-            instance.visible = false;
-        }
-        else{
-            //Show the menu
-            if (instance.menuElement) {
-                instance.menuElement.style.visibility = "visible";
-                instance.parentButton.className = "down";
-            }
-            instance.visible = true;
-        }
-    }
-}
-
-function manualEventFire(element, rawEvent) {
-    // Attempts to fire a raw DOM event on an element
-    
-    try {
-        element = document.getElementById(element);
-        if (element.fireEvent) {
-            element.fireEvent("on"+rawEvent.type, rawEvent);
-            return true;
-        }
-        else if (element.dispatchEvent) {
-            element.dispatchEvent(rawEvent);
-            return true;
-        }
-    } catch (e) {
-    }
-    return false;
-}
Index: Dev/branches/Cartis/Tiles preview/js/nav.js
===================================================================
--- Dev/branches/Cartis/Tiles preview/js/nav.js	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/js/nav.js	(revision 259)
@@ -0,0 +1,30 @@
+$(function() {
+    //Switchpage
+    
+    mockup = {
+        api: {
+            clickTile: function(thisElement, url) {
+                // clear self
+                while (thisElement.firstChild) {
+                    thisElement.removeChild(thisElement.firstChild);
+                }
+                // clear frame
+                $(".basePanel").children().remove();
+                mockup.api.loadPage(url);
+            
+            },
+            loadPage: function(name) {
+                $.get("pages/"+name+".html", function(responseText, textStatus, XMLHttpRequest) {
+                    $(".basePanel").append(responseText);
+                    $.getScript("pages/"+name+".js", function(responseText, textStatus, XMLHttpRequest){
+                        debugger;
+                    })
+                });
+            
+            }
+        
+        }
+    
+    
+    }
+});
Index: Dev/branches/Cartis/Tiles preview/nbproject/private/private.properties
===================================================================
--- Dev/branches/Cartis/Tiles preview/nbproject/private/private.properties	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/nbproject/private/private.properties	(revision 259)
@@ -0,0 +1,5 @@
+copy.src.files=false
+copy.src.target=
+index.file=tiles1.html
+run.as=LOCAL
+url=http://localhost/RESEARCHTOOL/dev/branches/Cartis/Tiles%20preview
Index: Dev/branches/Cartis/Tiles preview/nbproject/private/private.xml
===================================================================
--- Dev/branches/Cartis/Tiles preview/nbproject/private/private.xml	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/nbproject/private/private.xml	(revision 259)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project-private xmlns="http://www.netbeans.org/ns/project-private/1">
+    <editor-bookmarks xmlns="http://www.netbeans.org/ns/editor-bookmarks/1">
+        <file>
+            <url>js/dashboardScripts.js</url>
+            <line>112</line>
+        </file>
+    </editor-bookmarks>
+</project-private>
Index: Dev/branches/Cartis/Tiles preview/nbproject/project.properties
===================================================================
--- Dev/branches/Cartis/Tiles preview/nbproject/project.properties	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/nbproject/project.properties	(revision 259)
@@ -0,0 +1,7 @@
+include.path=${php.global.include.path}
+php.version=PHP_53
+source.encoding=UTF-8
+src.dir=.
+tags.asp=false
+tags.short=true
+web.root=.
Index: Dev/branches/Cartis/Tiles preview/nbproject/project.xml
===================================================================
--- Dev/branches/Cartis/Tiles preview/nbproject/project.xml	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/nbproject/project.xml	(revision 259)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://www.netbeans.org/ns/project/1">
+    <type>org.netbeans.modules.php.project</type>
+    <configuration>
+        <data xmlns="http://www.netbeans.org/ns/php-project/1">
+            <name>Tiles preview</name>
+        </data>
+    </configuration>
+</project>
Index: Dev/branches/Cartis/Tiles preview/pages/dataSelection.html
===================================================================
--- Dev/branches/Cartis/Tiles preview/pages/dataSelection.html	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/pages/dataSelection.html	(revision 259)
@@ -0,0 +1,38 @@
+<div id="tiles" class="left3">
+    <div class="leftContainer">
+        <div id="tile1" class="staticTile doubleHeight"><div class="tileHeader">Instance data</div>
+            <select multiple id="dbSessionInstancesList" class="tileField multipleSelect" onchange="infoPanelTimeout(event);">
+            </select>
+        </div>
+
+        <div id="tile2" class="staticTile doubleHeight"><div class="tileHeader">Game data</div>
+            <select multiple id="dbGamedataList" class="tileField multipleSelect" onchange="infoPanelTimeout(event);">
+            </select>
+        </div>
+
+        <div id="pageInfo" class="staticTile doubleHeight"><div class="tileHeader">Description</div>
+            <div class="content" id="dbInfoPanelContent">
+                
+            </div>
+            <div class="controls">
+                <input type="button" class="smallButton" id="btnAddToCart" value="Add to selection >" onClick="addDataToList();" />
+            </div>
+        </div>
+
+        <div style="clear:both;"></div>
+    </div>
+</div>
+<div id="selectedData" class="right1">
+    <div id="tile3" class="staticTile doubleHeight"><div class="tileHeader">Selected data</div>
+        <div class="content" id="shoppingCartContent">
+
+        </div>
+        <div class="controls">
+            <input type="button" class="smallButton" id="btnConfigureDashboard" value="Configure Dashboard" onClick="configureDashboard();" />
+        </div>
+    </div>
+</div>
+
+
+<script type="text/javascript" src="js/dashboardScripts.js"></script>
+<script type="text/javascript" src="js/generalScripts.js"></script>
Index: Dev/branches/Cartis/Tiles preview/pages/dataSelection.js
===================================================================
--- Dev/branches/Cartis/Tiles preview/pages/dataSelection.js	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/pages/dataSelection.js	(revision 259)
@@ -0,0 +1,1 @@
+//COMMENT yo
Index: Dev/branches/Cartis/Tiles preview/pages/testPage.html
===================================================================
--- Dev/branches/Cartis/Tiles preview/pages/testPage.html	(revision 259)
+++ Dev/branches/Cartis/Tiles preview/pages/testPage.html	(revision 259)
@@ -0,0 +1,22 @@
+<div id="tiles" class="left3">
+                        <div class="leftContainer">
+                            <div id="tile1" class="tile" onclick="mockup.api.clickTile(this, 'testPage')"><div class="tileText">Browse sessions</div></div>
+                            <div id="tile2" class="tile"><div class="tileText">Templates</div></div>
+                            <div id="tile3" class="tile"><div class="tileText">Edit content</div></div>
+                            <div id="tile4" class="tile"><div class="tileText">Results</div></div>
+                            <div id="tile5" class="tile"><div class="tileText">Log out</div></div>
+                            <div id="tile6" class="tile"><div class="tileText">Help</div></div>
+                            <div style="clear:both;"></div>
+                        </div>
+                    </div>
+                    <div id="pageInfo" class="right1">
+                        <div class="rightContainer">
+                            <div id="descriptionTitle" class="descriptionText" >
+                                <div id="description" class="descriptionTitle">Description</div>    
+                                A description, welcome text or simple guide to operation goes here. This 1/4 screen block is consistently present in all interface screens, to show relevant information to the user or guide them through the process. 
+
+
+                            </div>
+                        </div>
+
+                    </div>
Index: Dev/branches/Cartis/Tiles preview/tiles1.html
===================================================================
--- Dev/branches/Cartis/Tiles preview/tiles1.html	(revision 258)
+++ Dev/branches/Cartis/Tiles preview/tiles1.html	(revision 259)
@@ -12,5 +12,5 @@
         <script type="text/javascript" src="js/jquery.js"></script>
         <script type="text/javascript" src="js/jquery-ui.min.js"></script>
-        <!--<script type="text/javascript" src="tileAnims.js"></script>-->
+        <script src="js./nav.js"></script>
     </head>
     <body>
@@ -24,44 +24,42 @@
                 </div>
                 <div class="breadcrumbs">     
-              <!--      <img src="fakeBreadcrumbs.png"></div> -->
+                </div>
+            </div>
+
+            <div id="wrapper">
+                <div id="content">
+                    <div class="basePanel">
+                        <div id="tiles" class="left3">
+                            <div class="leftContainer">
+                                <div id="tile1" class="tile" onclick="mockup.api.clickTile(this, 'dataSelection')"><div class="tileText">Create Dashboard</div></div>
+                                <div id="tile2" class="tile"><div class="tileText">Templates</div></div>
+                                <div id="tile3" class="tile"><div class="tileText">Edit content</div></div>
+                                <div id="tile4" class="tile"><div class="tileText">Results</div></div>
+                                <div id="tile5" class="tile"><div class="tileText">Log out</div></div>
+                                <div id="tile6" class="tile"><div class="tileText">Help</div></div>
+                                <div style="clear:both;"></div>
+                            </div>
+                        </div>
+                        <div id="pageInfo" class="right1">
+                            <div class="rightContainer">
+                                <div id="descriptionTitle" class="descriptionText" >
+                                    <div id="description" class="descriptionTitle">Description</div>    
+                                    A description, welcome text or simple guide to operation goes here. This 1/4 screen block is consistently present in all interface screens, to show relevant information to the user or guide them through the process. 
+
+
+                                </div>
+                            </div>
+
+                        </div>
+                    </div>
+                </div>
 
             </div>
-        </div>
 
-        <div id="wrapper">
-            <div id="content">
-                <div id="basePanel">
-                    <div id="tiles" class="left3">
-                        <div class="leftContainer">
-                            <div id="tile1" class="tile"><div class="tileText">Browse sessions</div></div>
-                            <div id="tile2" class="tile"><div class="tileText">Templates</div></div>
-                            <div id="tile3" class="tile"><div class="tileText">Edit content</div></div>
-                            <div id="tile4" class="tile"><div class="tileText">Results</div></div>
-                            <div id="tile5" class="tile"><div class="tileText">Log out</div></div>
-                            <div id="tile6" class="tile"><div class="tileText">Help</div></div>
-                            <div style="clear:both;"></div>
+            <!--          <div id="footerInfo">
+                            asdasd
                         </div>
-                    </div>
-                    <div id="pageInfo" class="right1">
-                        <div class="rightContainer">
-                            <div id="descriptionTitle" class="descriptionText" >
-                                <div id="description" class="descriptionTitle">Description</div>    
-                                A description, welcome text or simple guide to operation goes here. This 1/4 screen block is consistently present in all interface screens, to show relevant information to the user or guide them through the process. 
-
-
-                            </div>
-                        </div>
-
-                    </div>
-                </div>
-            </div>
-  
-        </div>
-
-<!--          <div id="footerInfo">
-                asdasd
-            </div>
--->
-</body>
+            -->
+    </body>
 
 </html>